import React from 'react'
import Image from 'next/image';
import Rate from '../Other/Rate'
import * as Icon from "@phosphor-icons/react/dist/ssr";

const PopularProduct = () => {
    return (
        <>
            <div className="popular-product watch text-white md:mt-20 mt-10">
                <div className="container">
                    <div className="content bg-surface1 lg:p-[60px] sm:p-12 p-8 rounded-3xl flex max-lg:flex-wrap items-center justify-between gap-6">
                        <div className="left flex max-lg:flex-col-reverse gap-y-8 items-center justify-between lg:w-[70%] w-full">
                            <div className="product-infor lg:w-[45%] w-full">
                                <div className="heading3 mt-1">Apple g5 watch</div>
                                <div className="flex items-center mt-3">
                                    <Rate currentRate={5} size={14} />
                                    <span className='caption1 text-secondary2'>(1.234 reviews)</span>
                                </div>
                                <div className="flex items-center gap-3 flex-wrap mt-5 pb-6 border-b border-line">
                                    <div className="product-price heading5">$269.00</div>
                                    <div className='w-px h-4 bg-line'></div>
                                    <div className="product-origin-price font-normal text-secondary2"><del>$299.00</del></div>
                                    <div className="product-sale caption2 font-semibold bg-green text-black px-3 py-0.5 inline-block rounded-full">
                                        -12%
                                    </div>
                                    <div className='desc text-secondary2 mt-3'>The garments labelled as Committed are products that have been produced using sustainable fibres or processes.</div>
                                </div>
                                <div className="list-feature pt-5">
                                    <div className="item flex items-center gap-3">
                                        <Icon.CheckCircle size={20} weight='fill' className='text-green' />
                                        <div className="text-button">Heart rate monitoring</div>
                                    </div>
                                    <div className="item flex items-center gap-3 mt-3">
                                        <Icon.CheckCircle size={20} weight='fill' className='text-green' />
                                        <div className="text-button">Direct phone calls and messaging</div>
                                    </div>
                                    <div className="item flex items-center gap-3 mt-3">
                                        <Icon.CheckCircle size={20} weight='fill' className='text-green' />
                                        <div className="text-button">Activity tracking and analysis</div>
                                    </div>
                                    <div className="item flex items-center gap-3 mt-3">
                                        <Icon.CheckCircle size={20} weight='fill' className='text-green' />
                                        <div className="text-button">ECG feature for monitoring heart health</div>
                                    </div>
                                    <div className="item flex items-center gap-3 mt-3">
                                        <Icon.CheckCircle size={20} weight='fill' className='text-green' />
                                        <div className="text-button">Interact and control smart devices.</div>
                                    </div>
                                </div>
                            </div>
                            <div className="product-img sm:w-[55%] w-[90%]">
                                <Image
                                    src={'/images/banner/popular-watch.png'}
                                    width={1000}
                                    height={1000}
                                    alt='bg-img'
                                    className=''
                                />
                            </div>
                        </div>
                        <div className="list-feature-right lg:w-[30%] w-full">
                            <div className="item flex items-center sm:gap-5 gap-3">
                                <div className="icon aspect-square sm:h-[60px] h-10 bg-surface1 rounded-full flex items-center justify-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
                                        <g clipPath="url(#clip0_6717_32257)">
                                            <path d="M25.6667 25.3335H3.66667C2.69453 25.3324 1.76251 24.9458 1.07511 24.2584C0.387707 23.571 0.00105878 22.639 0 21.6668V9.00016C0.00105878 8.02803 0.387707 7.09601 1.07511 6.40861C1.76251 5.7212 2.69453 5.33455 3.66667 5.3335H25.6667C26.6388 5.33455 27.5708 5.7212 28.2582 6.40861C28.9456 7.09601 29.3323 8.02803 29.3333 9.00016V9.3335H29.6547C30.9413 9.3335 31.988 10.3802 31.988 11.6668V19.0002C31.988 20.2868 30.9413 21.3335 29.6547 21.3335H29.3333V21.6668C29.3323 22.639 28.9456 23.571 28.2582 24.2584C27.5708 24.9458 26.6388 25.3324 25.6667 25.3335Z" fill="#607D8B" />
                                            <path d="M3.66667 7.3335C2.748 7.3335 2 8.0815 2 9.00016V21.6668C2 22.5855 2.748 23.3335 3.66667 23.3335H25.6667C26.5853 23.3335 27.3333 22.5855 27.3333 21.6668V20.3335C27.3333 20.0683 27.4387 19.8139 27.6262 19.6264C27.8138 19.4389 28.0681 19.3335 28.3333 19.3335H29.6547C29.7431 19.3335 29.8279 19.2984 29.8904 19.2359C29.9529 19.1734 29.988 19.0886 29.988 19.0002V11.6668C29.988 11.5784 29.9529 11.4936 29.8904 11.4311C29.8279 11.3686 29.7431 11.3335 29.6547 11.3335H28.3333C28.0681 11.3335 27.8138 11.2281 27.6262 11.0406C27.4387 10.8531 27.3333 10.5987 27.3333 10.3335V9.00016C27.3333 8.0815 26.5853 7.3335 25.6667 7.3335H3.66667Z" fill="#FAFAFA" />
                                            <path d="M31.988 15.3335H29.988V19.0002C29.988 19.0886 29.9529 19.1734 29.8904 19.2359C29.8279 19.2984 29.7431 19.3335 29.6547 19.3335H28.3333C28.0681 19.3335 27.8138 19.4389 27.6262 19.6264C27.4387 19.8139 27.3333 20.0683 27.3333 20.3335V21.6668C27.3333 22.5855 26.5853 23.3335 25.6667 23.3335H3.66667C2.748 23.3335 2 22.5855 2 21.6668V15.3335H0V21.6668C0.00105878 22.639 0.387707 23.571 1.07511 24.2584C1.76251 24.9458 2.69453 25.3324 3.66667 25.3335H25.6667C26.6388 25.3324 27.5708 24.9458 28.2582 24.2584C28.9456 23.571 29.3323 22.639 29.3333 21.6668V21.3335H29.6547C30.9413 21.3335 31.988 20.2868 31.988 19.0002V15.3335Z" fill="#546D79" />
                                            <path d="M29.988 15.3335H25.3333V20.3335C25.3333 20.5987 25.228 20.8531 25.0404 21.0406C24.8529 21.2281 24.5986 21.3335 24.3333 21.3335H5C4.73478 21.3335 4.48043 21.2281 4.29289 21.0406C4.10536 20.8531 4 20.5987 4 20.3335V15.3335H2V21.6668C2 22.5855 2.748 23.3335 3.66667 23.3335H25.6667C26.5853 23.3335 27.3333 22.5855 27.3333 21.6668V20.3335C27.3333 20.0683 27.4387 19.8139 27.6262 19.6264C27.8138 19.4389 28.0681 19.3335 28.3333 19.3335H29.6547C29.7431 19.3335 29.8279 19.2984 29.8904 19.2359C29.9529 19.1734 29.988 19.0886 29.988 19.0002V15.3335Z" fill="#DADADA" />
                                            <path d="M24.3333 21.3335H5C4.73478 21.3335 4.48043 21.2281 4.29289 21.0406C4.10536 20.8531 4 20.5987 4 20.3335V10.3335C4 10.0683 4.10536 9.81393 4.29289 9.62639C4.48043 9.43885 4.73478 9.3335 5 9.3335H24.3333C24.5986 9.3335 24.8529 9.43885 25.0404 9.62639C25.228 9.81393 25.3333 10.0683 25.3333 10.3335V20.3335C25.3333 20.5987 25.228 20.8531 25.0404 21.0406C24.8529 21.2281 24.5986 21.3335 24.3333 21.3335Z" fill="#4CAF50" />
                                            <path d="M14.6667 9.3335H5C4.73478 9.3335 4.48043 9.43885 4.29289 9.62639C4.10536 9.81393 4 10.0683 4 10.3335V20.3335C4 20.8855 4.448 21.3335 5 21.3335H14.6667V9.3335Z" fill="#429846" />
                                        </g>
                                        <defs>
                                            <clipPath id="clip0_6717_32257">
                                                <rect width="32" height="32" fill="white" />
                                            </clipPath>
                                        </defs>
                                    </svg>
                                </div>
                                <div className="heading6">Battery onscreen 7 days</div>
                            </div>
                            <div className="item flex items-center sm:gap-5 gap-3 sm:mt-7 mt-5">
                                <div className="icon aspect-square sm:h-[60px] h-10 bg-surface1 rounded-full flex items-center justify-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
                                        <path d="M7.5625 6.15625H2.8125C2.29431 6.15625 1.875 5.73694 1.875 5.21875C1.875 4.70056 2.29431 4.28125 2.8125 4.28125H7.5625C8.08069 4.28125 8.5 4.70056 8.5 5.21875C8.5 5.73694 8.08069 6.15625 7.5625 6.15625ZM7.5625 13.6562H2.8125C2.29431 13.6562 1.875 13.2369 1.875 12.7188C1.875 12.2006 2.29431 11.7812 2.8125 11.7812H7.5625C8.08069 11.7812 8.5 12.2006 8.5 12.7188C8.5 13.2369 8.08069 13.6562 7.5625 13.6562ZM5.6875 9.90625H0.9375C0.419312 9.90625 0 9.48694 0 8.96875C0 8.45056 0.419312 8.03125 0.9375 8.03125H5.6875C6.20569 8.03125 6.625 8.45056 6.625 8.96875C6.625 9.48694 6.20569 9.90625 5.6875 9.90625Z" fill="#19CFFC" />
                                        <path d="M17.5088 3.19009C16.7636 2.69478 15.7748 2.79278 15.1431 3.42447L9.98683 8.58072C9.25439 9.31315 9.25439 10.4997 9.98683 11.2321C10.7193 11.9645 11.9058 11.9645 12.6382 11.2321L16.7077 7.16259L19.6198 9.26028L23.6025 7.40884L17.5088 3.19009ZM13.7368 15.1432L1.54933 27.3307C0.816891 28.0632 0.816891 29.2497 1.54933 29.9821C2.2817 30.7145 3.46827 30.7145 4.2007 29.9821L15.0625 19.1203L13.7368 15.1432Z" fill="#2864F0" />
                                        <path d="M30.125 12.7186H24.4375V8.96858C24.4375 8.23152 23.9916 7.5339 23.279 7.23833C22.5615 6.94158 21.754 7.12508 21.2363 7.64346L13.7368 15.1429C13.0044 15.8753 13.0044 17.0618 13.7368 17.7943L18.0361 22.0936L12.7993 27.3304C12.0669 28.0628 12.0669 29.2493 12.7993 29.9818C13.5317 30.7141 14.7183 30.7142 15.4507 29.9818L22.0132 23.4193C22.7456 22.6868 22.7456 21.5003 22.0132 20.7679L17.7139 16.4686L20.6875 13.495V14.5936C20.6875 15.629 21.5271 16.4686 22.5625 16.4686H30.125C31.1605 16.4686 32 15.629 32 14.5936C32 13.5581 31.1605 12.7186 30.125 12.7186Z" fill="#3389FF" />
                                        <path d="M27.25 7.09375C28.8033 7.09375 30.0625 5.83455 30.0625 4.28125C30.0625 2.72795 28.8033 1.46875 27.25 1.46875C25.6967 1.46875 24.4375 2.72795 24.4375 4.28125C24.4375 5.83455 25.6967 7.09375 27.25 7.09375Z" fill="#3389FF" />
                                    </svg>
                                </div>
                                <div className="heading6">53 Built - in Sport Models</div>
                            </div>
                            <div className="item flex items-center sm:gap-5 gap-3 sm:mt-7 mt-5">
                                <div className="icon aspect-square sm:h-[60px] h-10 bg-surface1 rounded-full flex items-center justify-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
                                        <path fillRule="evenodd" clipRule="evenodd" d="M21.5148 27.0345L19.7449 31.0168C19.6149 31.3095 19.4027 31.5582 19.1342 31.7327C18.8657 31.9072 18.5523 32 18.2321 32H11.5562C11.2359 32 10.9226 31.9072 10.654 31.7327C10.3855 31.5582 10.1734 31.3095 10.0434 31.0168L8.27344 27.0345L14.8941 25.931L21.5148 27.0345ZM21.5148 4.96552L19.7449 0.983172C19.6149 0.690507 19.4027 0.441845 19.1342 0.267334C18.8657 0.0928237 18.5523 -4.06325e-05 18.2321 1.3337e-08H11.5562C11.2359 -4.06325e-05 10.9226 0.0928237 10.654 0.267334C10.3855 0.441845 10.1734 0.690507 10.0434 0.983172L8.27344 4.96552L14.8941 6.62069L21.5148 4.96552Z" fill="#3B97D3" />
                                        <path fillRule="evenodd" clipRule="evenodd" d="M24 13H26.2069C26.4995 13 26.7802 13.1163 26.9872 13.3232C27.1941 13.5301 27.3103 13.8108 27.3103 14.1034V16.8621C27.3103 17.1547 27.1941 17.4354 26.9872 17.6423C26.7802 17.8493 26.4995 17.9655 26.2069 17.9655H24V13Z" fill="#1F1F1F" />
                                        <path d="M22.0683 4.96533H7.72346C6.19992 4.96533 4.96484 6.20041 4.96484 7.72395V24.2757C4.96484 25.7992 6.19992 27.0343 7.72346 27.0343H22.0683C23.5918 27.0343 24.8269 25.7992 24.8269 24.2757V7.72395C24.8269 6.20041 23.5918 4.96533 22.0683 4.96533Z" fill="#09529E" />
                                        <path d="M22.6172 24.2758V7.72409C22.6172 7.41938 22.3702 7.17236 22.0655 7.17236L7.72064 7.17236C7.41593 7.17236 7.16891 7.41938 7.16891 7.72409L7.16891 24.2758C7.16891 24.5805 7.41593 24.8275 7.72064 24.8275H22.0655C22.3702 24.8275 22.6172 24.5805 22.6172 24.2758Z" fill="white" />
                                        <path fillRule="evenodd" clipRule="evenodd" d="M22.2011 7.18891C19.7569 7.3434 7.43141 8.87719 7.17762 24.342C7.17305 24.3203 7.17119 24.298 7.1721 24.2758V7.72409C7.1721 7.57776 7.23023 7.43743 7.3337 7.33396C7.43716 7.23049 7.5775 7.17236 7.72382 7.17236H22.0687C22.1128 7.17236 22.158 7.17788 22.2011 7.18891Z" fill="#C8F1FF" />
                                        <path fillRule="evenodd" clipRule="evenodd" d="M18.7575 20.4139C18.6112 20.4139 18.4709 20.3557 18.3675 20.2523L14.5054 16.3902C14.4019 16.2867 14.3438 16.1464 14.3438 16.0001V10.4829C14.3438 10.3366 14.4019 10.1962 14.5053 10.0927C14.6088 9.98928 14.7491 9.93115 14.8955 9.93115C15.0418 9.93115 15.1821 9.98928 15.2856 10.0927C15.3891 10.1962 15.4472 10.3366 15.4472 10.4829V15.7717L19.1476 19.4721C19.2247 19.5493 19.2773 19.6476 19.2986 19.7546C19.3198 19.8616 19.3089 19.9725 19.2672 20.0733C19.2254 20.1741 19.1547 20.2603 19.064 20.3209C18.9733 20.3815 18.8666 20.4139 18.7575 20.4139Z" fill="#1F1F1F" />
                                    </svg>
                                </div>
                                <div className="heading6">AMOLED Display</div>
                            </div>
                            <div className="item flex items-center sm:gap-5 gap-3 sm:mt-7 mt-5">
                                <div className="icon aspect-square sm:h-[60px] h-10 bg-surface1 rounded-full flex items-center justify-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
                                        <path d="M14.2917 5.51172C11.9542 5.51172 9.70831 6.2156 7.79688 7.54728C6.01006 8.7921 4.63156 10.4984 3.79612 12.495C1.41344 14.2084 0 16.9535 0 19.8971C0 24.9229 4.08875 29.0117 9.11456 29.0117H16.5341V5.73153C15.7957 5.58483 15.0446 5.51121 14.2917 5.51172Z" fill="#8ECDFD" />
                                        <path d="M23.1754 15.0189C20.5543 15.0189 18.4219 12.8865 18.4219 10.2653C18.4219 7.64416 20.5543 5.51172 23.1754 5.51172C25.7966 5.51172 27.929 7.64416 27.929 10.2653C27.929 12.8865 25.7966 15.0189 23.1754 15.0189Z" fill="#8ECDFD" />
                                        <path d="M24.8953 12.7663C24.1155 10.7543 22.7903 9.02113 21.035 7.72645C19.6815 6.72813 18.1535 6.05413 16.5332 5.73145L16 17.9995L16.5332 29.0116H23.8429C28.3403 29.0116 31.9991 25.3528 31.9991 20.8554C31.9991 16.7216 28.9268 13.2838 24.8953 12.7663Z" fill="#2279BC" />
                                        <path d="M11.8506 10.4937C9.78122 10.4937 8.09766 8.81011 8.09766 6.74073C8.09766 4.67136 9.78122 2.98779 11.8506 2.98779C13.92 2.98779 15.6036 4.67136 15.6036 6.74073C15.6036 8.81017 13.92 10.4937 11.8506 10.4937Z" fill="#2279BC" />
                                        <path d="M23.6189 23.9689L19.4486 23.9594L19.4536 22.5404C19.4536 22.5404 20.8116 20.8336 21.222 20.3184C21.4767 19.9986 21.6363 19.7916 21.6363 19.557C21.6363 19.4349 21.5501 19.2414 21.3189 19.2414C21.239 19.2414 20.9958 19.2414 20.9287 19.6099L19.0841 19.2739C19.2918 18.133 20.1899 17.3664 21.3189 17.3664C22.5278 17.3664 23.5113 18.3491 23.5113 19.557C23.5113 20.4741 23.0094 21.0918 22.6773 21.5006C22.6456 21.5396 22.3403 21.9236 22.2076 22.0906L23.6231 22.0938L23.6189 23.9689ZM17.746 18.0089C17.746 16.7457 17.2885 15.5878 16.5315 14.6904L16.2578 18.0089L16.5315 21.3273C17.2885 20.4299 17.746 19.2721 17.746 18.0089Z" fill="#F7F0EB" />
                                        <path d="M12.5923 12.8535C9.75 12.8535 7.4375 15.166 7.4375 18.0083C7.4375 20.8507 9.74994 23.1631 12.5923 23.1631C14.1715 23.1631 15.5864 22.4487 16.5327 21.3268V14.6898C15.5863 13.568 14.1715 12.8535 12.5923 12.8535ZM12.5923 21.2881C10.7838 21.2881 9.3125 19.8168 9.3125 18.0083C9.3125 16.1998 10.7838 14.7285 12.5923 14.7285C14.4009 14.7285 15.8722 16.1998 15.8722 18.0083C15.8721 19.8168 14.4008 21.2881 12.5923 21.2881Z" fill="#FFFBF5" />
                                    </svg>
                                </div>
                                <div className="heading6">Blood Oxygen monitor</div>
                            </div>
                            <div className="item flex items-center sm:gap-5 gap-3 sm:mt-7 mt-5">
                                <div className="icon aspect-square sm:h-[60px] h-10 bg-surface1 rounded-full flex items-center justify-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 32 32" fill="none">
                                        <g clipPath="url(#clip0_6717_32300)">
                                            <path d="M31.6656 9.20506C31.1326 7.115 29.9966 5.313 28.3804 3.99344C26.806 2.708 24.8769 2 22.9494 2C21.4714 2 20.0618 2.39794 18.7593 3.18263C17.7307 3.80225 16.8054 4.6455 15.9973 5.6975C14.159 3.30175 11.7325 2 9.04839 2C7.12139 2 5.19339 2.708 3.6192 3.99344C2.00351 5.313 0.867762 7.115 0.334825 9.20481C-0.2448 11.4776 -0.356863 15.1096 2.4002 19.5066C4.9522 23.5762 9.37582 27.3467 15.5484 30.7139C15.6883 30.7903 15.8426 30.8284 15.9971 30.8284C16.1517 30.8284 16.3062 30.7902 16.4461 30.7139C22.6202 27.3467 27.0455 23.5759 29.5984 19.5066C32.3566 15.1096 32.2449 11.4778 31.6656 9.20506Z" fill="#FF5B5B" />
                                            <path d="M31.6656 9.20506C31.1326 7.115 29.9966 5.313 28.3804 3.99344C26.806 2.708 24.8769 2 22.9494 2C21.4714 2 20.0618 2.39794 18.7593 3.18263C17.7317 3.80175 16.8076 4.64356 16 5.69431V30.8284C16.1558 30.8278 16.309 30.7885 16.4458 30.7139C22.6201 27.3467 27.0454 23.5759 29.5981 19.5066C32.3564 15.1096 32.2449 11.4778 31.6655 9.20506H31.6656Z" fill="#FF0059" />
                                            <path d="M6.79956 16.8333L7.96919 14.4939L11.1467 20.8491C11.2245 21.0048 11.3442 21.1358 11.4923 21.2273C11.6403 21.3189 11.811 21.3674 11.9851 21.3674C12.3403 21.3674 12.6647 21.1668 12.8234 20.8491L16.0012 14.4939L17.1709 16.8333C17.2487 16.989 17.3684 17.1199 17.5165 17.2114C17.6645 17.3029 17.8352 17.3514 18.0093 17.3514H25.1181C25.6358 17.3514 26.0554 16.9316 26.0554 16.4141C26.0554 15.8965 25.6358 15.4768 25.1181 15.4768H18.5886L16.8396 11.9788C16.7617 11.8231 16.642 11.6922 16.4939 11.6007C16.3459 11.5092 16.1752 11.4607 16.0012 11.4607C15.6462 11.4607 15.3218 11.6614 15.1628 11.9788L11.9853 18.334L8.80762 11.9788C8.7298 11.823 8.61014 11.692 8.46206 11.6005C8.31397 11.5089 8.14332 11.4604 7.96922 11.4604C7.79512 11.4604 7.62446 11.5089 7.47638 11.6005C7.32829 11.692 7.20863 11.823 7.13081 11.9788L5.38206 15.4768H0.539062C0.718437 16.0789 0.949688 16.7043 1.24119 17.3513H5.96138C6.13541 17.3513 6.306 17.3029 6.45403 17.2113C6.60206 17.1198 6.72175 16.9889 6.79956 16.8333Z" fill="#E7F0EF" />
                                            <path d="M25.1162 15.4771H18.5866L16.8379 11.979C16.76 11.8234 16.6404 11.6925 16.4925 11.601C16.3445 11.5096 16.174 11.461 16 11.4609V14.4953L17.1689 16.8335C17.2468 16.9892 17.3665 17.1202 17.5147 17.2117C17.6628 17.3032 17.8335 17.3517 18.0076 17.3516H25.1162C25.6339 17.3516 26.0537 16.9319 26.0537 16.4143C26.0535 15.8967 25.6339 15.4771 25.1162 15.4771Z" fill="#C5E1E6" />
                                        </g>
                                        <defs>
                                            <clipPath id="clip0_6717_32300">
                                                <rect width="32" height="32" fill="white" />
                                            </clipPath>
                                        </defs>
                                    </svg>
                                </div>
                                <div className="heading6">Tracking heart</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </>
    )
}

export default PopularProduct